Subject: Re: bug#19499: 11.88; preview-buffer with tikz and \newpage produces off by one image placement.

From: Stephen Brennan <[email-masked]>
Date: Fri, 08 Mar 2024 22:17:00 -0800

Hi Arash,

Sorry for following-up from a completely different email address. I
don't have much plain-text email in my gmail these days, and this
address is what I typically do work from.

In any case, I don't even recall filing this bug! I just tried out the
reproducer file on my own emacs after installing AucTeX and it worked
fine for me as well. Please do close the bug :)

thanks,
Stephen

Arash Esbati <[email-masked]> writes:
> Stephen Brennan <[email-masked]> writes:
> > When tikz is included and preview-buffer is run, the first math preview
> > after `\newpage' will have a blank preview image.  The subsequent image
> > will display the preview for the previous math expression, and so on.
> > For example, with this input file:
> >
> > --- BEGIN EXAMPLE FILE
> > \documentclass{article}
> > \usepackage{tikz}
> > \begin{document}
> > $x^1$
> > \newpage
> > $x^2$
> > $x^3$
> > \end{document}
> > --- END EXAMPLE FILE
> >
> > The preview for $x^1$ displays properly.  The preview for $x^2$ displays
> > a blank image, and the preview for $x^3$ displays an image of $x^2$.  If
> > you comment out the `\usepackage{tikz}' or the `\newpage', the previews
> > run correctly.
> 
> (I'm going through old bug reports that unfortunately weren't resolved
> at the time.  And sorry the premature mail I sent.)
> 
> This is what I get with a recent AUCTeX and Emacs:
> 
> The result looks Ok to me.  I'm closing this report for now.  We can
> reopen if you get other results.
> 
> Best, Arash